package com.palmnest.application.dto.output;

import java.io.Serializable;

public class RepairBillBaseDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 9067832746969241632L;
	
	private Long id;
	private String code;
	private String repairUser;//'报修人',
	private String contactWay;//'联系方式',
	private String address;//'地址',
	private String description;//'报修描述',
	private String repairWayName;//'报修方式',
	private String repairAreaName;// '报修区域',
	private Long repairTypeId; //维修类型id
	private String repairTypeName;//'维修类型',
	private Long repairTypeDetailId; //维修类型小类id
	private String repairTypeDetailName;// '维修类型小类',
	private String createTime;
	private Long keepTime;
	private String picUrl;
	private Integer status;

	private String completeDesc; //完成描述
	private String completePhotoUrl; //完成照片

	
	private String meetingTime;//预约上门时间
	
	public String getMeetingTime() {
		return meetingTime;
	}
	public void setMeetingTime(String meetingTime) {
		this.meetingTime = meetingTime;
	}

	
	public RepairBillBaseDto() {
	}
	
	
	public RepairBillBaseDto(Long id, String code, String repairUser, String contactWay, String address, String description) {
		super();
		this.id = id;
		this.code = code;
		this.repairUser = repairUser;
		this.contactWay = contactWay;
		this.address = address;
		this.description = description;
	}

	public String getRepairUser() {
		return repairUser;
	}
	public void setRepairUser(String repairUser) {
		this.repairUser = repairUser;
	}
	public String getContactWay() {
		return contactWay;
	}
	public void setContactWay(String contactWay) {
		this.contactWay = contactWay;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getRepairWayName() {
		return repairWayName;
	}
	public void setRepairWayName(String repairWayName) {
		this.repairWayName = repairWayName;
	}
	public String getRepairAreaName() {
		return repairAreaName;
	}
	public void setRepairAreaName(String repairAreaName) {
		this.repairAreaName = repairAreaName;
	}
	public String getRepairTypeName() {
		return repairTypeName;
	}
	public void setRepairTypeName(String repairTypeName) {
		this.repairTypeName = repairTypeName;
	}
	public String getRepairTypeDetailName() {
		return repairTypeDetailName;
	}
	public void setRepairTypeDetailName(String repairTypeDetailName) {
		this.repairTypeDetailName = repairTypeDetailName;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getPicUrl() {
		return picUrl;
	}
	public void setPicUrl(String picUrl) {
		this.picUrl = picUrl;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Long getKeepTime() {
		return keepTime;
	}
	public void setKeepTime(Long keepTime) {
		this.keepTime = keepTime;
	}

	public Long getRepairTypeId() {
		return repairTypeId;
	}

	public void setRepairTypeId(Long repairTypeId) {
		this.repairTypeId = repairTypeId;
	}

	public Long getRepairTypeDetailId() {
		return repairTypeDetailId;
	}

	public void setRepairTypeDetailId(Long repairTypeDetailId) {
		this.repairTypeDetailId = repairTypeDetailId;
	}

	public String getCompleteDesc() {
		return completeDesc;
	}

	public void setCompleteDesc(String completeDesc) {
		this.completeDesc = completeDesc;
	}

	public String getCompletePhotoUrl() {
		return completePhotoUrl;
	}

	public void setCompletePhotoUrl(String completePhotoUrl) {
		this.completePhotoUrl = completePhotoUrl;
	}
}
